<?php

ob_start();
session_start();

require_once 'includes.php';

require_once("conn.php");

require_once("config.php");

require_once 'dbconfig4.php';

if(isset($_SESSION['admin_user_id'])){

    $user_qury=mysqli_query($conn,"SELECT * FROM ormsusers WHERE user_id='$_SESSION[admin_user_id]'");

    $user_resalt=mysqli_fetch_array($user_qury);
	
    $customer = $user_resalt['user_id'];
	
	$adminbalance = number_format((float)$user_resalt['balance'],2);

    if($user_resalt['image']==""){

        $image_path="images/empty.jpg";

    }

    else{

        $image_path="../dashboard/images/admin/".$user_resalt['image'];

    }

}

//$q=mysqli_query($conn,"SELECT * FROM ormsregister WHERE username='".$_SESSION['user_name']."' LIMIT 1 ");

//$row=mysqli_fetch_array($q);
//$resalerId = $row['userid'];


if (isset($_GET['pid'])) {

	$slips_qury=mysqli_query($conn,"UPDATE `slips` SET `isPay` = '1' WHERE `id` = '".$_GET['pid']."'; ");

    $pay_qury=mysqli_query($conn,"SELECT * FROM ormsusers WHERE user_id='".$_GET['user_id']."' LIMIT 1 ");

    $pay_resalt=mysqli_fetch_array($pay_qury);

    $balance = $_GET['amount']+ $pay_resalt['balance'];
	
    $bl_qury=mysqli_query($conn,"UPDATE `ormsusers` SET `balance` = '".$balance."' WHERE `user_id` = '".$_GET['user_id']."'; ");
	
	header("refresh:2;ad_payment_receipt.php?payid=".$_GET['pid']."&userid=".$_GET['user_id'].""); // redirects image view page after 5 seconds.

}

if (isset($_GET['rpid'])) {

$user_qury=mysqli_query($conn,"UPDATE `slips` SET `isPay` = '2' WHERE `id` = '".$_GET['rpid']."'; ");

}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>All Payments | Payments and Billing System | ORMS | Dashbaord</title>
    <?php
    require_once 'headercss.php';
    ?>

</head>

<body>

    <!--**********************************
        Main wrapper start
    ***********************************-->
    <div id="main-wrapper">
	
<?php
require_once 'header.php';
?>
        <!--**********************************
            Sidebar start
        ***********************************-->
        <div class="deznav">
            <div class="deznav-scroll">
<?php

require_once 'sidebarmenu.php';

?>
            </div>
        </div>
        <!--**********************************
            Sidebar end
        ***********************************-->
        
        <!--**********************************
            Content body start
        ***********************************-->
        <div class="content-body">
            <!-- row -->
            <div class="container-fluid">
                <div class="row">
                <div class="col-xl-12 col-xxl-12 col-sm-12">
                <div class="alert alert-danger bg-danger text-white" role="alert">
                <strong>Alert!</strong> ඔබගේ ගිනුම තහවුරු කිරීම අසම්පුර්නයි.<a href="identity_verify.php" class="btn btn-success float-right" style="padding: 0px 3px;">සම්පුර්න කරන්න</a>
                </div>
                </div>
                </div>    
                <div class="row page-titles mx-0">
                    <div class="col-sm-6 p-md-0">
                        <div class="welcome-text">
                            <h4>Payment Requests</h4>
                        </div>
                    </div>
                    <div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="home.php">Home</a></li>
                            <li class="breadcrumb-item active"><a href="javascript:void(0);">Reloads</a></li>
                            <li class="breadcrumb-item active"><a href="javascript:void(0);">All Reloads</a></li>
                        </ol>
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-lg-12">
                        <div class="row tab-content">
                            <div id="list-view" class="tab-pane fade active show col-lg-12">
                                <div class="card">
                                    <div class="card-header">
                                        <h4 class="card-title">Payment Requests</h4>
                                    </div>
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table id="example3" class="table table-bordered">
                                                <thead>
                                                    <tr>
														<th>ID</th>
                                                        <th>Action</th>
														<th>Status</th>  
                                                        <th>Slip</th>
														<th>Transaction ID</th>
                                                        <th>Name</th>
                                                        <th>Amount</th>
                                                        <th>Type</th>
                                                        <th>Payment Date</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                <?php

                                $stmt = $DB_con->prepare("SELECT s.id,s.transid,s.user_id suser_id,s.datePay,s.path,s.price,s.type,s.isPay,s.customer,s.usertype,s.ptype,u.user_id uuser_id,u.fullname,u.balance,u.pkgcount FROM slips s INNER JOIN ormsusers u ON s.user_id=u.user_id WHERE s.isPay='0' and s.ptype='Bank' and s.usertype='Admin' ORDER BY s.datePay DESC");

                                $stmt->execute();

                                if($stmt->rowCount() > 0)

                                {

                                while($row=$stmt->fetch(PDO::FETCH_ASSOC))

                                {

                                extract($row);

                                ?>
                                                    <tr>
                                                       <td><?php echo $row['id']; ?></td>
   
                                                        <?php 
                        
                                                        if($row['isPay'] == "0"){
                                                        ?>
                                                        <td>
                                                        <a class="btn btn-sm btn-success" href="admin_payment_requests.php?pid=<?php echo $row["id"]; ?>&amount=<?php echo $row["price"]; ?>&user_id=<?php echo $row["suser_id"]; ?>&type=<?php echo $row["type"]; ?>" onClick="return confirm('Approve Slip');"><i class="la la-check-square"></i></a>      

                                                        <a class="btn btn-sm btn-danger" href="admin_payment_requests.php?rpid=<?php echo $row["id"]; ?>&amount=<?php echo $row["price"]; ?>&user_id=<?php echo $row["suser_id"]; ?>&type=<?php echo $row["type"]; ?>" onClick="return confirm('Reject Slip');"><i class="la la-times-circle"></i></a>
                                                        <?php 

                                                        }
                        
                                                        ?>
                                                        </td>
														<td>
														<?php 

        if($row['isPay'] == "1"){

        echo '<button class="btn btn-success btn-sm">Paid</button>';

        }

        else if($row['isPay'] == "0"){

        echo '<button class="btn btn-warning btn-sm">Pending</button>';

        }

        ?></td>
                                                        <td>

		<?php 
        if($row['path']==""){
		?>
		<a target="_blank" class="btn btn-info btn-sm" href="#">No Slip</a>
		<?php 
        }else{
		?>
		<a target="_blank" href="<?php echo $row["path"]; ?>" ><img src="<?php echo $row["path"]; ?>"  class="pro_pick"></a>
		<?php 
        }
        ?>
														
														</td>
														<td><p><strong><?php echo $row['transid']; ?></strong></p></td>
                                                        <td><p><strong><?php echo $row['fullname']; ?></strong></p></td>
                                                        <td><p><strong>Rs.<?php echo number_format((float)$row['price'],2); ?></strong></p></td>
                                                        <td><p><strong>
		<?php 

        if($row['type'] == "1"){

        echo '<button class="btn btn-success btn-sm">Bank</button>';

        }

        else if($row['type'] == "2"){

        echo '<button class="btn btn-primary btn-sm">Card</button>';

        }

		?>
														
														</strong></p></td>                                          
                                                        <td><p><strong><?php echo $row['datePay']; ?></strong></p></td>
                                                    </tr>
                                <?php } 

                                }
                                ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
        <!--**********************************
            Content body end
        ***********************************-->

        <?php
        require_once 'footer.php';
        ?>

        <!--**********************************
           Support ticket button start
        ***********************************-->

        <!--**********************************
           Support ticket button end
        ***********************************-->


    </div>
    <!--**********************************
        Main wrapper end
    ***********************************-->

    <?php
    require_once 'footerjs.php';
    ?>
    
    
    <script>

function exportTableToExcel(tableID, filename = ''){
    var downloadLink;
    var dataType = 'application/vnd.ms-excel';
    var tableSelect = document.getElementById(tableID);
    var tableHTML = tableSelect.outerHTML.replace(/ /g, '%20');
    
    // Specify file name
    filename = filename?filename+'.xls':'excel_data.xls';
    
    // Create download link element
    downloadLink = document.createElement("a");
    
    document.body.appendChild(downloadLink);
    
    if(navigator.msSaveOrOpenBlob){
        var blob = new Blob(['\ufeff', tableHTML], {
            type: dataType
        });
        navigator.msSaveOrOpenBlob( blob, filename);
    }else{
        // Create a link to the file
        downloadLink.href = 'data:' + dataType + ', ' + tableHTML;
    
        // Setting the file name
        downloadLink.download = filename;
        
        //triggering the function
        downloadLink.click();
    }
}
</script>

<script>

$(document).ready(function(){

    loadGallery(true, 'a.thumbnail');

    //This function disables buttons when needed
    function disableButtons(counter_max, counter_current){
        $('#investow-previous-image, #investow-next-image').investow();
        if(counter_max == counter_current){
            $('#investow-next-image').hide();
        } else if (counter_current == 1){
            $('#investow-previous-image').hide();
        }
    }

    /**
     *
     * @param setIDs        Sets IDs when DOM is loaded. If using a PHP counter, set to false.
     * @param setClickAttr  Sets the attribute for the click handler.
     */

    function loadGallery(setIDs, setClickAttr){
        var current_image,
            selector,
            counter = 0;

        $('#investow-next-image, #investow-previous-image').click(function(){
            if($(this).attr('id') == 'investow-previous-image'){
                current_image--;
            } else {
                current_image++;
            }

            selector = $('[data-image-id="' + current_image + '"]');
            updateGallery(selector);
        });

        function updateGallery(selector) {
            var $sel = selector;
            current_image = $sel.data('image-id');
            $('#image-gallery-caption').text($sel.data('caption'));
            $('#image-gallery-title').text($sel.data('title'));
            $('#image-gallery-image').attr('src', $sel.data('image'));
            disableButtons(counter, $sel.data('image-id'));
        }

        if(setIDs == true){
            $('[data-image-id]').each(function(){
                counter++;
                $(this).attr('data-image-id',counter);
            });
        }
        $(setClickAttr).on('click',function(){
            updateGallery($(this));
        });
    }
});
</script>

<script>

        function Publiinvested_teainvestrs(id){
            
            $.ajax({
                url:'publiinvested_teainvestrs.php',
                method:'POST',
                data:{id:id},
                success:function(data){
                    location.reload();

                }
            });

        }

        function Reject_ads(id){
                alert(id);
        $.ajax({
            url:'reject_teainvestrs.php',
            method:'POST',
            data:{id:id},
            success:function(data){
                location.reload();

            }
        });

    }
</script>
    
</body>
</html>